Trigger Backfill
POST
/connections/{connection_id}/backfill
const url = 'https://example.com/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/backfill';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"accounts":["example"],"target_date":"2026-04-15","windows":4}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/backfill \ --header 'Content-Type: application/json' \ --data '{ "accounts": [ "example" ], "target_date": "2026-04-15", "windows": 4 }'Fetch older history now (archive-first, then import). Agents may trigger backfills — same write scope as sync.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”connection_id
required
Connection Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
BackfillRequest
object
accounts
Any of:
Array<string>
null
windows
Windows
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
BackfillOut
object
backfill_complete
required
Backfill Complete
boolean
empty_windows
required
Empty Windows
integer
imported
required
Imported
integer
qif_overlap
required
Qif Overlap
object
key
additional properties
integer
skipped
required
Skipped
integer
skipped_before_feed_start
Skipped Before Feed Start
integer
skipped_masked_duplicate
Skipped Masked Duplicate
integer
skipped_redescribed
Skipped Redescribed
integer
stopped_because
required
Stopped Because
string
windows_fetched
required
Windows Fetched
integer
Example
{ "skipped_before_feed_start": 0, "skipped_masked_duplicate": 0, "skipped_redescribed": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}